## mingw-w64-cccl-1.4-1.src.tar.zst

=== exeargs/Makefile ===
CXX=../cccl
CXXFLAGS=--cccl-verbose /EHsc
EXE=exeargs.exe

all:
	$(CXX) $(CXXFLAGS) exeargs.cpp -o $(EXE)

clean:
	rm -f *.exe *.o *.obj
